Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeprocessinginstructionnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeprocessinginstructionnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a Processing Instruction Node is the content of the Processing Instruction(exclude the target).

Retrieve the Processing Instruction node in the XML file and check the string returned by the "getNodeValue()" method. It should be equal to "PIDATA".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 45 of file nodeprocessinginstructionnodevalue.java.

## Constructor & Destructor Documentation

nodeprocessinginstructionnodevalue::nodeprocessinginstructionnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeprocessinginstructionnodevalue.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeprocessinginstructionnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 65 of file nodeprocessinginstructionnodevalue.java.
    00065                                 {
    00066       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeprocessinginstructionnodevalue";
    00067    }

void nodeprocessinginstructionnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 68 of file nodeprocessinginstructionnodevalue.java. References DOMTestCase::doMain().
    00068                                           {
    00069         DOMTestCase.doMain(nodeprocessinginstructionnodevalue.class,args);
    00070    }

void nodeprocessinginstructionnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeprocessinginstructionnodevalue.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList testList;
    00056       Node piNode;
    00057       String piValue;
    00058       doc = load("staff");
    00059       testList = doc.getChildNodes();
    00060       piNode = testList.item(0);
    00061       piValue = piNode.getNodeValue();
    00062       assertEquals("value","PIDATA",piValue);
    00063
    00064    }

The documentation for this class was generated from the following file:

- nodeprocessinginstructionnodevalue.java